Package net.shibboleth.idp.admin.impl

# Class UnlockDataSealers

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.profile.action.AbstractProfileAction
org.opensaml.profile.action.AbstractConditionalProfileAction
net.shibboleth.idp.profile.AbstractProfileAction
net.shibboleth.idp.admin.impl.UnlockDataSealers

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `ProfileAction`, `Aware`, `MessageSource`, `MessageSourceAware`, `Action`

public class UnlockDataSealers extends AbstractProfileAction
Action that sets keystore and key passwords for one or more DataSealer KeyStrategy objects based on query parameters.

The only type supported is the basic strategy type provided with the software.

An error event will be signaled after the first unsuccessful unlock operation.

Since:
  3.4.0
Event:
  `EventIds.PROCEED_EVENT_ID`, `EventIds.INVALID_PROFILE_CTX`, `EventIds.INVALID_MESSAGE`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`KEY_PASSWORD_PARAM_NAME`
Name of key password parameter.
`static final String`
`KEYSTORE_PASSWORD_PARAM_NAME`
Name of keystore password parameter.
`private Collection<BasicKeystoreKeyStrategy>`
`keyStrategies`
Key source(s) to operate on.
`private org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`UnlockDataSealers()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doExecute(ProfileRequestContext profileRequestContext)`
`protected boolean`
`doPreExecute(ProfileRequestContext profileRequestContext)`
`void`
`setKeyStrategies(Collection<BasicKeystoreKeyStrategy> strategies)`
Set the `BasicKeystoreKeyStrategy` objects to inject passwords into.

### Methods inherited from class net.shibboleth.idp.profile.AbstractProfileAction

`doExecute, execute, getBean, getBean, getMessage, getMessage, getMessage, getParameter, getParameter, getProfileContextLookupStrategy, getRequestContext, getResult, setMessageSource, setProfileContextLookupStrategy`

### Methods inherited from class org.opensaml.profile.action.AbstractConditionalProfileAction

`getActivationCondition, setActivationCondition`

### Methods inherited from class org.opensaml.profile.action.AbstractProfileAction

`doPostExecute, doPostExecute, ensureHttpServletRequest, ensureHttpServletResponse, execute, getHttpServletRequest, getHttpServletRequestSupplier, getHttpServletResponse, getHttpServletResponseSupplier, getLogPrefix, isPreExecuteCalled, setHttpServletRequestSupplier, setHttpServletResponseSupplier`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### KEYSTORE_PASSWORD_PARAM_NAME

@Nonnull @NotEmpty public static final String KEYSTORE_PASSWORD_PARAM_NAME
Name of keystore password parameter.

See Also:
  - Constant Field Values

### KEY_PASSWORD_PARAM_NAME

@Nonnull @NotEmpty public static final String KEY_PASSWORD_PARAM_NAME
Name of key password parameter.

See Also:
  - Constant Field Values

### log

@Nonnull private org.slf4j.Logger log
Class logger.

### keyStrategies

@Nonnull private Collection<BasicKeystoreKeyStrategy> keyStrategies
Key source(s) to operate on.

## Constructor Details

### UnlockDataSealers

public UnlockDataSealers()
Constructor.

## Method Details

### setKeyStrategies

public void setKeyStrategies(@Nullable Collection<BasicKeystoreKeyStrategy> strategies)
Set the `BasicKeystoreKeyStrategy` objects to inject passwords into.

Parameters:
  `strategies` - objects to unlock

### doPreExecute

protected boolean doPreExecute(@Nonnull ProfileRequestContext profileRequestContext)

Overrides:
  `doPreExecute` in class `AbstractConditionalProfileAction`

### doExecute

protected void doExecute(@Nonnull ProfileRequestContext profileRequestContext)

Overrides:
  `doExecute` in class `AbstractProfileAction`